;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          metaclass.lisp
;;;; Purpose:       Define options for hyperobject metaclass
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Apr 2000
;;;;
;;;;
;;;; $Id: metaclass.lisp,v 1.7 2003/05/14 05:29:48 kevin Exp $
;;;;
;;;; This file is Copyright (c) 2000-2003 by Kevin M. Rosenberg
;;;; *************************************************************************
 
(in-package :hyperobject)

(eval-when (:compile-toplevel :execute)
  (declaim (optimize (speed 2) (safety 2) (compilation-speed 0) (debug 2))))

  
(defparameter *class-options*
  '(:user-name :default-print-slots :description :version :sql-name
    :direct-rules)
  "List of class options for hyperobjects.")
(defparameter *slot-options*
  '(:value-type :print-formatter :description :user-name
    :subobject :hyperlink :hyperlink-parameters
    :index :inverse :unique :sql-name :null-allowed :stored
    :input-filter :unbound-lookup
    :value-constraint :nil-text)
  "Slot options that can appear as an initarg")
(defparameter *slot-options-no-initarg*
  '(:ho-type :sql-type :length)
  "Slot options that do not have an initarg")

